"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHotspotIcon = void 0;

var _hideHotspotIcon = require("../hide-hotspot-icon");

var createHotspotIcon = function createHotspotIcon(container, hotspotConfig) {
  var indicatorSelector = hotspotConfig.indicatorSelector,
      variant = hotspotConfig.variant;
  var url = variant.url,
      anchorId = variant.anchorId;
  var hotspotIcon = document.createElement('div');

  var mouseEnterHotspot = function mouseEnterHotspot() {
    hotspotIcon.setAttribute('data-cloudimage-360-show', '');
  };

  var mouseLeaveHotspot = function mouseLeaveHotspot() {
    hotspotIcon.removeAttribute('data-cloudimage-360-show');
  };

  hotspotIcon.style.position = 'absolute';
  hotspotIcon.className = "cloudimage-360-hotspot-".concat(url ? 'link' : 'custom', "-icon ").concat(indicatorSelector);
  hotspotIcon.setAttribute('data-hotspot-icon-id', anchorId);
  hotspotIcon.setAttribute('data-cloudimage-360-hotspot', '');
  hotspotIcon.addEventListener('mouseenter', mouseEnterHotspot);
  hotspotIcon.addEventListener('mouseleave', mouseLeaveHotspot);

  hotspotIcon.onclick = function (e) {
    return e.stopPropagation();
  };

  (0, _hideHotspotIcon.hideHotspotIcon)(hotspotIcon);
  container.appendChild(hotspotIcon);
  return hotspotIcon;
};

exports.createHotspotIcon = createHotspotIcon;