"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.prepareImagesFromFolder = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _regex = require("../../../constants/regex");

var _pad = require("../pad");

var prepareImagesFromFolder = function prepareImagesFromFolder(imagesSrc, srcConfig) {
  var _ref = srcConfig || {},
      amount = _ref.amount,
      indexZeroBase = _ref.indexZeroBase;

  var resultSrc = [];
  var originalSrc = [];
  (0, _toConsumableArray2.default)(new Array(amount)).forEach(function (_item, index) {
    var nextZeroFilledIndex = (0, _pad.pad)(index + 1, indexZeroBase);
    var imageResultSrc = imagesSrc.replace('{index}', nextZeroFilledIndex);
    var imageOriginalSrc = imageResultSrc.replace(_regex.ORGINAL_SIZE_REGEX, '').replace(_regex.AND_SYMBOL_REGEX, '?');
    resultSrc.push(imageResultSrc);
    originalSrc.push(imageOriginalSrc);
  });
  return {
    resultSrc: resultSrc,
    originalSrc: originalSrc
  };
};

exports.prepareImagesFromFolder = prepareImagesFromFolder;