"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadImageAsPromise = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _orientations = require("../../constants/orientations");

var loadImageAsPromise = /*#__PURE__*/function () {
  var _ref = (0, _asyncToGenerator2.default)( /*#__PURE__*/_regenerator.default.mark(function _callee(src, index, srcConfig) {
    var onImageLoadCallback,
        _ref2,
        lazyload,
        lazySelector,
        fullscreenView,
        innerBox,
        orientation,
        image,
        _args = arguments;

    return _regenerator.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            onImageLoadCallback = _args.length > 3 && _args[3] !== undefined ? _args[3] : function () {};
            _ref2 = srcConfig || {}, lazyload = _ref2.lazyload, lazySelector = _ref2.lazySelector, fullscreenView = _ref2.fullscreenView, innerBox = _ref2.innerBox, orientation = _ref2.orientation;
            image = new Image();

            if (lazyload && !fullscreenView) {
              image.setAttribute('data-src', src);
              image.className = image.className.length ? "".concat(image.className, " ").concat(lazySelector) : lazySelector;

              if (index === 0 && orientation !== _orientations.ORIENTATIONS.Y) {
                image.style.position = 'absolute';
                image.style.top = '0';
                image.style.left = '0';
                innerBox.appendChild(image);
              }

              image.onload = function () {
                return onImageLoadCallback(image, index);
              };
            } else {
              image.src = src;
            }

            return _context.abrupt("return", new Promise(function (reslove) {
              image.onload = function () {
                onImageLoadCallback(image, index);
                reslove(image);
              };

              image.onerror = function () {
                onImageLoadCallback(image, index);
                reslove(image);
              };
            }));

          case 5:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function loadImageAsPromise(_x, _x2, _x3) {
    return _ref.apply(this, arguments);
  };
}();

exports.loadImageAsPromise = loadImageAsPromise;