"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadImage = void 0;

var loadImage = function loadImage(src, index, srcConfig) {
  var _ref = srcConfig || {},
      lazyload = _ref.lazyload,
      lazySelector = _ref.lazySelector,
      fullscreenView = _ref.fullscreenView;

  var image = new Image();

  if (lazyload && !fullscreenView) {
    image.setAttribute('data-src', src);
    image.className = image.className.length ? "".concat(image.className, " ").concat(lazySelector) : lazySelector;
  } else {
    image.src = src;
  }

  return image;
};

exports.loadImage = loadImage;