"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.preloadOriginalImages = void 0;

var _prepareImagesFromFolder = require("./images-from-folder/prepare-images-from-folder");

var _prepareImagesFromList = require("./images-from-list/prepare-images-from-list");

var _loadOriginalImages = require("./load-original-images");

/* eslint-disable no-console */
var preloadOriginalImages = function preloadOriginalImages(srcConfig, imagesSrc, onImageLoadCallback) {
  var _ref = srcConfig || {},
      imageList = _ref.imageList;

  var imagesSets = {};

  if (imageList) {
    try {
      var images = JSON.parse(imageList);
      imagesSets = (0, _prepareImagesFromList.prepareImagesFromList)(images, srcConfig);
    } catch (error) {
      console.error("Wrong format in image-list attribute: ".concat(error.message));
    }
  } else {
    imagesSets = (0, _prepareImagesFromFolder.prepareImagesFromFolder)(imagesSrc, srcConfig);
  }

  var _ref2 = imagesSets || {},
      originalSrc = _ref2.originalSrc;

  (0, _loadOriginalImages.loadOriginalImages)(originalSrc, onImageLoadCallback);
};

exports.preloadOriginalImages = preloadOriginalImages;